# Interface methods for submodule: SaltAndPepperNoiseImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NoiseBaseImageFilterProxy as _NoiseBaseImageFilterProxy


# Interface methods for class: SaltAndPepperNoiseImageFilter
class SaltAndPepperNoiseImageFilterProxy(_NoiseBaseImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetProbability(self) -> float:
		""""""
		...

	def SetProbability(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetSaltValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetSaltValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetSaltValue(self) -> float:
		""""""
		...

	@overload
	def GetSaltValue(self) -> int:
		""""""
		...

	@overload
	def SetPepperValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetPepperValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetPepperValue(self) -> float:
		""""""
		...

	@overload
	def GetPepperValue(self) -> int:
		""""""
		...

